import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

import '../config/const.dart';

class NavigatorUtils{

  static void pushPage(Widget page, {RouteSettings routeSettings, PageRouteBuilder pageRouteBuilder, bool isReplace = false}){
    if(page == null){
      return;
    }

    if (isReplace) {
      Navigator.pushAndRemoveUntil(appContext, pageRouteBuilder??CupertinoPageRoute(
          builder: (ctx) => page,
          settings: routeSettings
      ), (route) => route == null);
    } else{
      Navigator.push(appContext, pageRouteBuilder??CupertinoPageRoute(
          builder: (ctx) => page,
          settings: routeSettings
      ));
    }
  }

//
//  static void pushWeb(
//      BuildContext context,
//      {
//        String title,
//        String url,
//      }) {
//    if (context == null) return;
//    Navigator.push(
//        context, new MaterialPageRoute<void>(
//        builder: (ctx) => Scaffold(
//          appBar: AppBar(
//            title: Text(title == null ? '' : title),
//          ),
//          body: WebView(
//            initialUrl: url,
//            javascriptMode: JavascriptMode.unrestricted,
//          ),
//        )));
//  }


  ///通过路由注册的名字跳转
  static void pushNamed(BuildContext context, String pageName) {
    Navigator.of(context).pushNamed(pageName);
  }


  ///直接更换当前的页面
  static void pushReplacementNamed(BuildContext context, String pageName) {
    Navigator.of(context).pushReplacementNamed(pageName);
  }
}